Bug 8251 - SimGear has libexpat
: SimGear has libexpat
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/SimGear)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-17 00:26 by
Modified: 2008-06-13 12:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-17 00:26:04
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_DefaultCurrent
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_ErrorString
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_ExternalEntityParserCreate
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_GetBase
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_GetBuffer
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_GetCurrentByteCount
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_GetCurrentByteIndex
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_GetCurrentColumnNumber
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_GetCurrentLineNumber
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_GetErrorCode
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_GetSpecifiedAttributeCount
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_Parse
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_ParseBuffer
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_ParserCreate
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_ParserCreateNS
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_ParserFree
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetBase
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetCdataSectionHandler
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetCharacterDataHandler
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetCommentHandler
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetDefaultHandler
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetDefaultHandlerExpand
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetElementHandler
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetEncoding
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetExternalEntityRefHandler
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetExternalEntityRefHandlerArg
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetNamespaceDeclHandler
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetNotStandaloneHandler
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetNotationDeclHandler
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetProcessingInstructionHandler
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetUnknownEncodingHandler
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetUnparsedEntityDeclHandler
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_SetUserData
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XML_UseParserAsHandlerArg
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XmlGetUtf16InternalEncoding
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XmlGetUtf8InternalEncoding
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XmlInitEncoding
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XmlInitUnknownEncoding
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XmlParseXmlDecl
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XmlPrologStateInit
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XmlSizeOfUnknownEncoding
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XmlUtf16Encode
libexpat	/usr/lib/libexpat.so.0.5.0	FlightGear	/usr/bin/fgrun	T	XmlUtf8Encode
------- Comment #1 From 2005-10-26 08:01:53 -------
Это не сам FlightGear, это его стартер. Посмотрю, что можно тут сделать. 
------- Comment #2 From 2006-06-01 15:30:22 -------
Уже давно пофикшено. 
------- Comment #3 From 2007-12-22 18:20:28 -------
Это SimGear, в 1.0.0 наблюдается simgear/xml/ с копией (не знаю, насколько
идентичной оригиналу) libexpat.

Если получается помочь -- буду рад патчу, апстриму объяснить постараюсь и сам.
------- Comment #4 From 2007-12-24 08:22:51 -------
Вечером посмотрю. 
------- Comment #5 From 2007-12-24 17:54:21 -------
Если что -- стопка спеков для 1.0.0 здесь: http://paq.osdn.org.ua/~mike/fgfs/;
src.rpm здесь: http://fly.osdn.org.ua/~mike/tmp/fgfs-1.0.0/ (там ещё от fgrun
отвалились prefs куда-то).
------- Comment #6 From 2008-01-08 20:26:23 -------
SimGear и FlightGear 1.0.0 я сам уже собрал. Залью скорее всего завтра, просто
у
меня ssh перекрыт, попрошу чтобы открыли на cvs.
------- Comment #7 From 2008-01-08 21:12:20 -------
Кстати expat из SimGear я вынес. 
------- Comment #8 From 2008-01-08 22:18:48 -------
Да я тоже давно собрал (но не вынес :)... у тебя fgrun работает?
------- Comment #9 From 2008-01-09 03:29:22 -------
fgrun работает, вполне нормально. единственное НО: работает только на сизифе,
для работы в Branch 4.0 нужно в 4.0 обновить fltk (поставить из сизифа).
теперь, кстати, у них всех будет официальная зависимость от libexpat, которая
наша из сизифа. simgear/xml я от нее тотально почистил, теперь ихний XML парсер
с системной библиотекой пашет. 
З.Ы.
полетал сейчас на A10-A, хоть без джойстика, но весьма весело. С учетом того,
что процедура запуска у него почти софпадает с реальной, а еше он умеет из
пушки
стреляться ))) 
------- Comment #10 From 2008-01-09 18:19:09 -------
Fixed in 1.0.0-alt1, sent to incoming.
------- Comment #11 From 2008-01-12 02:11:45 -------
Спасибо!

Только тогда надо просить по возможности втащить свежий fltk в бранч.

2 at: можно ли глянуть, там много потенциальных грабель между 4.0 и Sisyphus?